CHMOD(1)

NAME
chmod - altera a permissões de acesso aos arquivos

SINOPSE
chmod [opções] modo arquivo...

Opções POSIX: [-R]

Opções GNU (forma reduzida): [-cfvR] [--reference=rarquivo] [--help] [--version] [--]

DESCRIÇÃO
chmod altera a permissão para cada arquivo fornecido de acordo com modo, que ou pode ser uma representação simbólica das mudanças a serem feitas, ou um número octal que representa um padrão de bits para as novas permissões.

O formato de um argumento de mudança no modo simbólico é
`[ugoa...][[+-=][rwxXstugo...]...][,...]'.

Tal argumento é uma lista de comandos de mudança em modo simbólico, separada por vírgulas. Cada comando de mudança simbólica começa com um zero, uma ou mais das letras `ugoa'; estas controlam qual acesso de usuário para o arquivo será alterado: o usuário que é proprietário do arquivo (u), outros usuários no grupo do arquivo (g), demais usuários do arquivo (o), ou todos os usuários (a). Assim, 'a' é equivalente a 'ugo'. Se nenhum destes forem fornecidos, o efeito é o mesmo que se 'a' fosse fornecido, mas os bits selecionados na umask não são afetados.

O operador `+' faz com que as permissões selecionadas sejam adicionadas as já existentes em cada arquivo; `-' faz com que sejam removidas; e `=' troca as permissões existentes para as informadas.

As letras `rwxXstugo' selecionam as novas permissões para o usuários afetados: ler (r), gravar (w), executar (ou acesso para diretórios) (x), executa só se o arquivo ou diretório já tem permissão de execução para algum usuário (X), seleciona o usuário ou identificação do grupo durante a execução (s), bit contrário (t), as permissões que o usuário proprietário do arquivo têm (u), as permissões que outros usuários do grupo do arquivo têm (g), e as permissões que os demais usuários têm (o). (Deste modo, 'chmod g-s arquivo' remove o bit que seleciona a identificação do grupo (sgid), 'chmod ug+s arquivo' marca o bit suid tanto quanto o sgid, enquanto 'chmod o+s arquivo' não faz nada.)

O 'bit contrário' não é descrito pela POSIX. O nome deriva do significado original: manter texto de programa em dispositivo de troca. Atualmente, quando selecionado para um diretório, significa que só o proprietário do arquivo e o proprietário daquele diretório pode remover o arquivo daquele diretório. (Isto é comumente usado em diretórios como /tmp que tem permissão geral de escrita.)

Um modo numérico é de um a quatro dígitos octais (0-7), derivados da adição dos bits com valores 4, 2, e 1. Quaisquer dígitos omitidos são assumidos como zero. O primeiro dígito seleciona a identificação do usuário (4) e a seleção do grupo (2) exceto imagem de texto ['Sticky'] (1) atributos. O segundo dígito seleciona permissões para o proprietário do arquivo: ler (4), escrever (2), e executar (1); o terçeiro seleciona permissões para os usuários pertencentes ao grupo do arquivo, com os mesmos valores; e o quarto, para os demais usuários, com os mesmos valores.

chmod nunca altera a permissões de ligações simbólicas, então a chamada de sistema chmod não pode fazê-lo. Isto não é um problema desde que as permissões de ligações simbólicas nunca sejam utilizadas. Porém, para cada ligação simbólica listada na linha de comando, chmod altera a permissão no arquivo apontado. Por outro lado, chmod ignora ligações simbólicas encontradas durante a opção recursiva no diretório.

OPÇÕES POSIX

-R  Altera recursivamente as permissões dos diretórios e de seus conteúdos.

OPÇÕES GNU

-c, --changes
    Detalhadamente descreve a ação para cada arquivo cujas permissões estão sendo alteradas.

-f, --silent, --quiet
    Não mostra mensagens de erro para o arquivo cujas permissões não podem ser alteradas.

-v, --verbose
    Descreve detalhadamente toda ação ocorrida para cada arquivo.

-R, --recursive
    Altera recursivamente a permissão dos diretórios e de seus conteúdos.

--reference=rarquivo
    (Novo no Utilitários de Arquivo GNU 4.0.) Altera o modo do arquivo para aquele do rarquivo.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2 somente requer a opção -R. Uso de outras opções podem não ser portáveis. Este padrão não descreve a permissão do bit consistência limpando ou marcando os bits suid e sgid, isto é, quando todo os bits executados são limpos, ou se chmod honra o bit `S' completamente.

MODOS NÃO PADRÃO
Acima nós descrevemos o uso do bit `t' nos diretórios. Vários sistemas anexam significados especiais para conbinações de bits de modo sem significação. Em particular, o Linux, imita o System V (veja a definição de interface do System V (SVID) Versão 3), deixa o bit sgid para que arquivos sem permissão de execução de grupo marquem o arquivo para fechamento obrigatório. Para mais detalhes, veja o arquivo /usr/src/linux/Documentation/mandatory.txt.

NOTAS
Esta página descreve chmod como é encontrado no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)